Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Multi Touch Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"mt", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletMultiTouch\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for touch state callback", "*)"}],
   RowBox[{RowBox[{"TouchStateCB", "[", RowBox[{"sender_", ",", "state_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", "touchStateBits", "=", RowBox[{"IntegerDigits", "[", RowBox[{"touchState", ",", "2", ",", "13"}], "]"}], ";", "\[IndentingNewLine]", "result", "=", RowBox[{"{", "}"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{RowBox[{"touchStateBits", "[", RowBox[{"[", RowBox[{"-", "13"}], "]"}], "]"}], "==", "1"}], ",", RowBox[{"AppendTo", "[", RowBox[{"result", ",", "\"\<In proximity, \>\""}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{RowBox[{"Total", "[", RowBox[{"touchStateBits", "[", RowBox[{"[", RowBox[{"2", ";", ";", "13"}], "]"}], "]"}], "]"}], "==", "0"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"AppendTo", "[", RowBox[{"result", ",", "\"\<No electrodes touched\>\""}], "]"}]}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"AppendTo", "[", RowBox[{"result", ",", "\"\<Electrodes \>\""}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"For", "[", RowBox[{RowBox[{"i", "=", "-", "1"}], ",", RowBox[{"i", ">=", "-", "12"}], ",", RowBox[{"--", "i"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{RowBox[{"touchStateBits", "[", RowBox[{"[", "i", "]"}], "]"}], "==", "1"}], ",", RowBox[{"AppendTo", "[", RowBox[{"result", ",", RowBox[{RowBox[{"ToString", "[", RowBox[{RowBox[{"Abs", "[", "i", "]"}], "-", "1"}], "]"}], "<>", "\"\< \>\""}]}], "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"AppendTo", "[", RowBox[{"result", ",", "\"\<touched\>\""}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"StringJoin", "[", "result", "]"}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"mt", "@", "TouchStateCallback"}], ",", "TouchStateCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "mt", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
